Skip to main content
Version: v1.0.0(int)

E032: Get contact detail

GET /api/contacts/:id

Returns a single contact with its methods. Triggered from contact detail panels.

Authentication​

Standard tenant route. Requires Authorization: Bearer <firebase-id-token> and X-Org-Id: <org-id>. Access: Member.

Request​

No body.

Response — 200 OK​

{ "contact": Contact, "methods": [ ContactMethod ], "links": [ ContactEntityLink ] }

Errors​

HTTPcodeCondition
404not_foundNo such contact.

Workflow​

Calls W032 Get contact detail.